Skip to main content
GET
Generation Details

Authorizations

Authorization
string
header
required

All API methods require Bearer authentication. Use your existing API key as the bearer token.

Authorization header format: Authorization: Bearer YOUR_API_KEY.

Headers

Accept-Language
enum<string>

Method accept custom language. Content of the header should be the code of the language you are requesting. E.g.: en.

Available options:
bg,
da,
de,
en,
es,
et,
fi,
fr,
hr,
it,
lt,
lv,
nb,
nl,
nn,
pt,
ru,
sv,
tr,
zs
Example:

"en"

Path Parameters

generation_id
integer<int64>
required

Generation ID.

Required range: 1 <= x <= 9007199254740991

Response

Success

Generation metadata object

engines
Engine · object[]

List with all the engines.

Maximum array length: 1000
id
integer<int64>

Stable catalogue ID. Private IDs start at 4294967296; all IDs are exact JavaScript-safe integers.

Required range: 1 <= x <= 9007199254740991
Example:

123

manufacturer
Manufacturer · object

Manufacturer object

model
Model · object

Model object

name
string

Generation Name.

Maximum string length: 2048
Pattern: ^[^\u0000-\u001F\u007F]*$
Example:

"B5"

photo
string | null

Generation photo URL. Private generation photos use a CDN object URL; omitted uploads remain null.

Maximum string length: 2048
Pattern: ^[^\u0000-\u001F\u007F]*$
Example:

"https://cdn.remapdb.com/api/generations/audi_a4_b5_31pynyoby3ok0.jpg"

slug
string

URL-friendly name (slug).

Maximum string length: 2048
Pattern: ^[^\u0000-\u001F\u007F]*$
Example:

"b5"

type
Vehicle type · object

Vehicle type object

year
integer | null

Year of manufacture.

Example:

1994

year_end
integer | null

End year of manufacture.

Example:

2001

origin
enum<string>

Shared catalogue record or an addition owned by the authenticated customer.

Available options:
shared,
private